Package io.dapr.workflows.runtime

# Class WorkflowRuntime

java.lang.Object
io.dapr.workflows.runtime.WorkflowRuntime

All Implemented Interfaces:
  `AutoCloseable`

public class WorkflowRuntime extends Object implements AutoCloseable
Contains methods to register workflows and activities.

## Constructor Summary

Constructors
Constructor
Description
`WorkflowRuntime(io.dapr.durabletask.DurableTaskGrpcWorker worker, io.grpc.ManagedChannel managedChannel, ExecutorService executorService)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`start()`
Start the Workflow runtime processing items and block.
`void`
`start(boolean block)`
Start the Workflow runtime processing items.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkflowRuntime

public WorkflowRuntime(io.dapr.durabletask.DurableTaskGrpcWorker worker, io.grpc.ManagedChannel managedChannel, ExecutorService executorService)
Constructor.

Parameters:
  `worker` - grpcWorker processing activities.
  `managedChannel` - grpc channel.
  `executorService` - executor service responsible for running the threads.

## Method Details

### start

public void start()
Start the Workflow runtime processing items and block.

### start

public void start(boolean block)
Start the Workflow runtime processing items.

Parameters:
  `block` - block the thread if true

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`